This update provides ownCloud 6 for EL6. Ideally I'd rather actually do ownCloud 5, but I don't think I can go back, since OC 6 was already submitted. Upgrading from 4.5 directly to 6 may not work: if you have a 4.5 install you wish to upgrade I would recommend first upgrading to ownCloud 5 from my repository at https://www.happyassassin.net/temp/oc5_repo (wget https://www.happyassassin.net/temp/oc5_repo/oc5.repo in /etc/yum.repos.d/ ).

However you upgrade, please back up your user data, ownCloud configuration and database before running the upgrade.

IMPORTANT NOTE for those using the PostgreSQL database backend: ownCloud 6 requires PostgreSQL 9.0 or higher. The official EL 6 repositories contain only 8.4. You will need to use a remote server or third-party PostgreSQL 9.0 packages. If this presents a major problem for you, please get in touch, and we can look into possibilities, but I'm figuring probably most folks will have moved up to 9.x some way or another.

ownCloud 4.5 is no longer supported upstream and is known to have security vulnerabilities: a major version upgrade is required to keep the package maintainable.

The new ownCloud requires a newer SabreDAV, so this update provides the latest SabreDAV 1.7. This is an API-incompatible update to SabreDAV 1.6, but it cannot be avoided, and there is no package other than ownCloud which depends on SabreDAV in the official or EPEL repositories.

The changes between ownCloud 4.5 and 6.0 are far too numerous to list specifically: see the upstream site and the package changelog for more details.

This update has been submitted for testing by adamwill.

7 years ago

This update is currently being pushed to the Fedora EPEL 6 testing updates repository.

7 years ago

This update has been pushed to testing

7 years ago
User Icon jehane commented & provided feedback 7 years ago
karma

Not installable yet due to a dependancy issue with sabre (can be installed if you add remi repo)

This update has reached 14 days in testing and can be pushed to stable now if the maintainer wishes

7 years ago
User Icon pbrobinson commented & provided feedback 7 years ago
karma

Seeing the same issues. The yum output is http://fpaste.org/125491/06793140/

this isn't any worse than previous 6.x packages I believe - I'm currently working on getting OC 7 out to Fedora 20, then I'll evaluate the situation WRT 7 for F19 and 6 for EL6...

adamwill has edited this update. New build(s): php-sabredav-Sabre_VObject-2.1.4-2.el6, php-sabredav-Sabre_HTTP-1.7.11-1.el6, php-sabredav-Sabre_DAVACL-1.7.9-1.el6, php-sabredav-Sabre_DAV-1.7.13-1.el6, php-sabredav-Sabre_CardDAV-1.7.9-2.el6, php-sabredav-Sabre_CalDAV-1.7.9-1.el6, php-irodsphp-3.3.0-0.4.beta1.el6, php-phpseclib-net-ssh2-0.3.5-3.el6, php-phpseclib-net-sftp-0.3.5-2.el6, php-phpseclib-crypt-twofish-0.3.5-3.el6, php-phpseclib-crypt-tripledes-0.3.5-3.el6, php-phpseclib-crypt-rsa-0.3.5-3.el6, php-phpseclib-crypt-rijndael-0.3.5-2.el6, php-phpseclib-crypt-rc4-0.3.5-2.el6, php-phpseclib-crypt-random-0.3.5-2.el6, php-phpseclib-crypt-hash-0.3.5-2.el6, php-phpseclib-crypt-des-0.3.5-3.el6, php-phpseclib-crypt-blowfish-0.3.5-4.el6, php-phpseclib-crypt-aes-0.3.5-2.el6, php-phpseclib-math-biginteger-0.3.5-2.el6.

7 years ago

adamwill has edited this update. New build(s): php-sabredav-Sabre_VObject-2.1.4-2.el6, php-sabredav-Sabre_HTTP-1.7.11-1.el6, php-sabredav-Sabre_DAVACL-1.7.9-1.el6, php-sabredav-Sabre_DAV-1.7.13-1.el6, php-sabredav-Sabre_CardDAV-1.7.9-2.el6, php-sabredav-Sabre_CalDAV-1.7.9-1.el6, php-irodsphp-3.3.0-0.4.beta1.el6, php-phpseclib-net-ssh2-0.3.5-3.el6, php-phpseclib-net-sftp-0.3.5-2.el6, php-phpseclib-crypt-twofish-0.3.5-3.el6, php-phpseclib-crypt-tripledes-0.3.5-3.el6, php-phpseclib-crypt-rsa-0.3.5-3.el6, php-phpseclib-crypt-rijndael-0.3.5-2.el6, php-phpseclib-crypt-rc4-0.3.5-2.el6, php-phpseclib-crypt-random-0.3.5-2.el6, php-phpseclib-crypt-hash-0.3.5-2.el6, php-phpseclib-crypt-des-0.3.5-3.el6, php-phpseclib-crypt-blowfish-0.3.5-4.el6, php-phpseclib-crypt-aes-0.3.5-2.el6, php-phpseclib-math-biginteger-0.3.5-2.el6.

7 years ago

This update has been submitted for testing by adamwill.

7 years ago

adamwill has edited this update. New build(s): php-channel-phpseclib-1.3-1.el6.

7 years ago

adamwill has edited this update. New build(s): owncloud-6.0.5-1.el6. Removed build(s): owncloud-6.0.4-3.el6.

7 years ago

adamwill has edited this update. New build(s): owncloud-6.0.5-2.el6. Removed build(s): owncloud-6.0.5-1.el6.

7 years ago

adamwill has edited this update. New build(s): owncloud-6.0.5-4.el6. Removed build(s): owncloud-6.0.5-2.el6.

7 years ago

This update is currently being pushed to the Fedora EPEL 6 testing updates repository.

7 years ago

This update has been pushed to testing

7 years ago

adamwill has edited this update. New build(s): php-phpseclib-net-ssh2-0.3.9-1.el6, php-phpseclib-net-sftp-0.3.9-1.el6, php-phpseclib-crypt-twofish-0.3.9-2.el6, php-phpseclib-crypt-tripledes-0.3.9-2.el6, php-phpseclib-crypt-rsa-0.3.9-1.el6, php-phpseclib-crypt-rijndael-0.3.9-2.el6, php-phpseclib-crypt-rc4-0.3.9-2.el6, php-phpseclib-crypt-random-0.3.9-1.el6, php-phpseclib-crypt-hash-0.3.9-1.el6, php-phpseclib-crypt-des-0.3.9-2.el6, php-phpseclib-crypt-blowfish-0.3.9-2.el6, php-phpseclib-crypt-aes-0.3.9-1.el6, php-phpseclib-math-biginteger-0.3.9-1.el6, php-phpseclib-crypt-base-0.3.9-1.el6. Removed build(s): php-phpseclib-net-ssh2-0.3.5-3.el6, php-phpseclib-net-sftp-0.3.5-2.el6, php-phpseclib-crypt-twofish-0.3.5-3.el6, php-phpseclib-crypt-tripledes-0.3.5-3.el6, php-phpseclib-crypt-rsa-0.3.5-3.el6, php-phpseclib-crypt-rijndael-0.3.5-2.el6, php-phpseclib-crypt-rc4-0.3.5-2.el6, php-phpseclib-crypt-random-0.3.5-2.el6, php-phpseclib-crypt-hash-0.3.5-2.el6, php-phpseclib-crypt-des-0.3.5-3.el6, php-phpseclib-crypt-blowfish-0.3.5-4.el6, php-phpseclib-crypt-aes-0.3.5-2.el6, php-phpseclib-math-biginteger-0.3.5-2.el6.

7 years ago

This update has been submitted for testing by adamwill.

7 years ago

This update is currently being pushed to the Fedora EPEL 6 testing updates repository.

7 years ago

This update has been pushed to testing

7 years ago

Requires php-cloudfiles which are obsoleted by latest php-opencloud update, so we end up with broken dependencies: http://fpaste.org/152738/65653031/ .

adamwill has edited this update. New build(s): owncloud-6.0.6-1.el6. Removed build(s): owncloud-6.0.5-4.el6.

7 years ago

This update has been submitted for testing by adamwill.

7 years ago

This update is currently being pushed to the Fedora EPEL 6 testing updates repository.

7 years ago

This update has been pushed to testing

7 years ago

rathann: the php-cloudfiles obsoletion was dropped in the php-opencloud build that went stable, so I think we're OK there.

This update has been submitted for stable by adamwill.

7 years ago

This update is currently being pushed to the Fedora EPEL 6 stable updates repository.

7 years ago

This update has been pushed to stable

7 years ago

Please login to add feedback.

BZ#1035594 owncloud: possible security bypass on admin page (5.0.13) [epel-6]
0
0
BZ#1066982 Upgrade owncloud
0
0
BZ#1109502 Upgrade php-pear-Sabre to 1.7.8
0
0
BZ#1109738 owncloud dependencies are missing from epel6
0
0

Automated Test Results